# Uses of Class
com.privatejgoodies.forms.layout.LayoutMap

Packages that use LayoutMap
Package
Description
com.privatejgoodies.forms.layout

## Uses of LayoutMap in com.privatejgoodies.forms.layout

Methods in com.privatejgoodies.forms.layout that return LayoutMap
Modifier and Type
Method
Description
`static LayoutMap`
LayoutMap.`getRoot()`
Lazily initializes and returns the LayoutMap that is used for variable expansion, if no custom LayoutMap is provided.
Methods in com.privatejgoodies.forms.layout with parameters of type LayoutMap
Modifier and Type
Method
Description
`static ColumnSpec`
ColumnSpec.`decode(String encodedColumnSpec, LayoutMap layoutMap)`
Parses the encoded column specifications and returns a ColumnSpec object that represents the string.
`static RowSpec`
RowSpec.`decode(String encodedRowSpec, LayoutMap layoutMap)`
Parses the encoded row specifications and returns a RowSpec object that represents the string.
`static ColumnSpec[]`
ColumnSpec.`decodeSpecs(String encodedColumnSpecs, LayoutMap layoutMap)`
Splits and parses the encoded column specifications using the given `LayoutMap` and returns an array of ColumnSpec objects.
`static RowSpec[]`
RowSpec.`decodeSpecs(String encodedRowSpecs, LayoutMap layoutMap)`
Parses and splits encoded row specifications using the given `LayoutMap` and returns an array of RowSpec objects.
Constructors in com.privatejgoodies.forms.layout with parameters of type LayoutMap
Modifier
Constructor
Description
``
`FormLayout(String encodedColumnSpecs, LayoutMap layoutMap)`
Constructs a FormLayout using the given encoded column specifications and LayoutMap.
``
`FormLayout(String encodedColumnSpecs, String encodedRowSpecs, LayoutMap layoutMap)`
Constructs a FormLayout using the given encoded column and row specifications and the given LayoutMap.
``
`LayoutMap(LayoutMap parent)`
Constructs a LayoutMap with the given optional parent.